mgnuc(1)

NAME
  mgnuc - Mercury front-end to GNU C

SYNOPSIS
 mgnuc [<options>] [-- <gcc options>] files...

NOTES
mgnuc is one of the development tools that are part of the Mercury distribution.

This manual page is limited to a brief summary. For further information see the Mercury User's Guide.

OPTIONS

-v, --verbose

Echo gcc command before executing it.

--no-ansi

Don't pass `-ansi' to gcc. Use the full contents of system headers,

rather than the ANSI subset.

--no-check

Don't enable any of gcc's warnings.

--low-level-debug

Enable low-level debugging of the C code. Useful only for Mercury

system developers.

-g, --c-debug

Generate object files that can debugged with C debuggers such as gdb.

--no-c-optimize

Disable optimization by the C compiler.

--inline-alloc

Inline calls to the memory allocator.

--mercury-standard-library-directory <directory>

--mercury-stdlib-dir <directory>

The directory containing the installed Mercury standard library.

--no-mercury-standard-library-directory, --no-mercury-stdlib-dir

Don't use an installed Mercury standard library.

--no-filter-cc

Do not filter warnings from the C compiler.

GRADE OPTIONS
 -s <grade>, --grade <grade>
 --target {il, c, csharp, java, erlang}
 --il
 --asm-labels
 --gcc-non-local-gotos
 --gcc-global-registers
 -H, --high-level-code
 --parallel
 --gc {boehm, boehm_debug, hgc, mps, accurate, none}
 -p, --profiling
 --profile-calls
 --profile-time
 --profile-memory
 --profile-deep
 --record-term-sizes-as-words
 --record-term-sizes-as-cells
 --use-trail
 --use-trail-segments
 --reserve-tag
 --use-minimal-model-stack-copy
 --use-minimal-model-own-stacks
 --minimal-model-debug
 --single-prec-float
 --pic-reg
 --no-stack-trace
 --debug
 --decl-debug
 --ss-debug
 --low-level-debug
 --extend-stacks-when-needed
 --stack-segments
 --use-regions
	See the documentation in the "Invocation" section
	of the Mercury User's Guide.

DESCRIPTION

This runs gcc with the appropriate options for compiling Mercury programs.

Normally it invokes gcc in ANSI mode with almost all warnings enabled,

but this can be changed using the `--no-ansi' or `--no-check' options.

ENVIRONMENT VARIABLES

MERCURY_DEFAULT_GRADE.

FILES

If the current directory contains a file named .mgnuc_copts, then mgnuc

will assume that it contains C compiler options that should be included

on the C compiler's command line. This is usually used to specify C

compiler search paths.

AUTHORS
The Mercury team.

See <http://www.mercurylang.org/contact/people.html>.

COPYRIGHT
This program and its documentation are copyright by the University of Melbourne. They may be copied only under the terms of the GNU General Public License - see the file COPYING in the Mercury distribution.

SEE ALSO
<http://www.mercurylang.org/information/documentation.html>

The Mercury User's Guide.

The GNU General Public License.